Bug 1114737 - Review Request: openms - LC/MS data management and analyses
Summary: Review Request: openms - LC/MS data management and analyses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1103420 1147922
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 20:25 UTC by Antonio T. (sagitter)
Modified: 2017-02-07 04:33 UTC (History)
3 users (show)

Fixed In Version: openms-1.11.1-11.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-23 18:28:09 UTC
Type: ---
loganjerry: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2014-06-30 20:25:16 UTC
Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-3.fc20.src.rpm

Description: 
OpenMS is an open-source C++ library for LC/MS data management and analyses.
It offers an infrastructure for the rapid development 
of mass spectrometry related software.

Fedora Account System Username: sagitter

Comment 1 Christopher Meng 2014-08-15 10:53:00 UTC
Will review on next Monday, I will be on travel this weekend.

Comment 2 Christopher Meng 2014-08-19 04:18:16 UTC
Hello, it seems that this package is pretty large and complex... I spent 5 hrs on my old laptop and the review still can't be performed, then I used my small server to review this package, it ended with "collect2: error: ld terminated with signal 9 [Killed]" and the progress bar even bumped beyond 100%:

[179%] Built target TextExporter

I will try review it again, meanwhile please check 2 issues below and solve them:

1. TBB not found.

2. Doxygen not found.

Comment 3 Antonio T. (sagitter) 2014-08-19 10:43:54 UTC
(In reply to Christopher Meng from comment #2)
> Hello, it seems that this package is pretty large and complex... I spent 5
> hrs on my old laptop and the review still can't be performed, then I used my
> small server to review this package, it ended with "collect2: error: ld
> terminated with signal 9 [Killed]" and the progress bar even bumped beyond
> 100%:

May be the same problem that I had myself too.
See this thread on devel ML: https://lists.fedoraproject.org/pipermail/devel/2014-June/200036.html

Comment 4 Christopher Meng 2014-08-20 02:58:53 UTC
Ok.

I think that my server(multiple VMs isolated in KVM) should be tweaked to allocate more memory for the review, because linking is a memory intensive job.

Looks like I have to use my another powerful server to accomplish that. You need to wait for a few days...

Comment 5 Antonio T. (sagitter) 2014-09-27 09:11:51 UTC
Christopher,

if you haven't a little of time to review, please let me know so we can leave this request unassigned.

Comment 6 Antonio T. (sagitter) 2014-09-30 12:29:09 UTC
Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-4.fc20.src.rpm

- Added cmake's options for TBB
- Added nested C++ templates patch (Patch4)

OpenMS build-system now check if the 'tandem' executable file exists. In next packaging release some tests will be performed.

Comment 8 Christopher Meng 2014-10-07 14:41:29 UTC
I will review this soon.

Comment 9 Antonio T. (sagitter) 2014-10-07 14:45:23 UTC
(In reply to Christopher Meng from comment #8)
> I will review this soon.

Please, wait until tomorrow.
I will post another packaging release.

Comment 10 Antonio T. (sagitter) 2014-10-07 16:27:48 UTC
Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-6.fc20.src.rpm


This build is of the 1.11.1-5 but it's good for the 1.11.1-6, too.
 
Koji build in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=7787353

Comment 11 Antonio T. (sagitter) 2014-12-01 11:53:24 UTC
Reset reviewer, Christopher is disappeared.

Comment 12 Jerry James 2014-12-01 18:50:01 UTC
I will take this review.

Comment 13 Jerry James 2014-12-02 16:26:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- The gtk-update-icon-cache invocations are being run on the main package, but
  instead should be run on the openms-TOPP package; i.e., move them to
  "%posttrans TOPP" and "%postun TOPP".
- The source tarball, OpenMS-Release1.11.1.tar.gz, has 0600 permissions.
  Please change that to 0644.
- All software in Fedora is open source, so I think the summary should just
  read "LC/MS data management and analyses"
- The debuginfo generator gets a little confused while trying to locate some
  source files.  Look in the build log for errors like this:

cpio: OpenMS-Release1.11.1/include/OpenMS/ANALYSIS/DECHARGING/FeatureDeconvolution.h: Cannot stat: Permission denied
cpio: OpenMS-Release1.11.1/include/OpenMS/ANALYSIS/DECHARGING/ILPDCWrapper.h: Cannot stat: Permission denied

  The problem is the initial "OpenMS-Release1.11.1" part of the path.  To fix
  the problem, add this at the end of %install:

  ln -s . OpenMS-Release%{version}
- The openms-devel package contains the directory /usr/include/OpenMS, but
  there are no files inside that directory.  Also, the directory has 0644
  permissions, but should have 0755 permissions.
- The openms-devel package installs a symbolic link libOpenMS_GUI.so that
  points to %{_libdir}/libOpenMS_GUIso.1.11.1, but the target name is actually
  %{_libdir}/libOpenMS_GUI.so.1.11.1; i.e., there is a missing dot.
- ldd -u reports that the libraries and most of the binaries are linked with
  libraries that are not actually used; see the unused-direct-shlib-dependency
  rpmlint warnings below.  It might we worthwhile to add "-Wl,--as-needed" to
  LDFLAGS.
- The cmake invocation specifies -DCMAKE_MT_ENABLE_TBB=ON and related
  variables, and the spec file contains BuildRequires: tbb-devel, yet I see
  this in the build log:

-- Intel TBB: OFF

  Perhaps it should be -DMT_ENABLE_TBB=ON (without the "CMAKE_" prefix)?
- Use the new %license macro to install license texts, rather than %doc.
- The main package installs 80 Mbytes of files in %{_datadir}/OpenMS/examples.
  Are those files used at runtime?  If not, consider moving them to a -doc
  subpackage.
- The main package installs over 93 Mbytes of files in %{_datadir}, including
  the examples.  Can any of those files go into a noarch subpackage?
- The entire %{_datadir}/OpenMS directory, except for the examples, is
  duplicated in the python-openms package, as
  %{python2_sitearch}/pyopenms/share/OpenMS.  Is that really necessary?  Can
  %{python2_sitearch}/pyopenms/share/OpenMS instead be a symbolic link to
  %{_datadir}/OpenMS?
- Some installed files have their executable bits set inappropriately.  See
  the rpmlint messages about scripts without shebangs.
- /usr/share/OpenMS/CV/psi-mzdata.obo has DOS end-of-line markers.
- Fix the description-line-too-long error in the rpmlint output.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Check whether %{_datadir}/OpenMS/exaples qualifies as documentation.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openms-1.11.1-6.fc22.x86_64.rpm
          openms-devel-1.11.1-6.fc22.x86_64.rpm
          openms-TOPP-1.11.1-6.fc22.x86_64.rpm
          openms-tools-1.11.1-6.fc22.x86_64.rpm
          python-openms-1.11.1-6.fc22.x86_64.rpm
          openms-1.11.1-6.fc22.src.rpm
openms.x86_64: W: spelling-error %description -l en_US spectrometry -> spectrometer, spectroscopy, spectroscope
openms.x86_64: W: spelling-error %description -l en_US proteomics -> Proterozoic
openms.x86_64: W: spelling-error %description -l en_US metabolomics -> metabolic, metabolism
openms.x86_64: W: spelling-error %description -l en_US quantitation -> quantitative, quantification, equitation
openms.x86_64: W: spelling-error %description -l en_US iTRAQ -> trait
openms.x86_64: E: description-line-too-long C metabolomics data analysis (TOPPTools) and powerful 2D and 3D visualization(TOPPView).
openms.x86_64: W: shared-lib-calls-exit /usr/lib64/libOpenMS_GUI.so.1.11.1 exit@GLIBC_2.2.5
openms.x86_64: W: shared-lib-calls-exit /usr/lib64/libOpenMS.so.1.11.1 exit@GLIBC_2.2.5
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/SCHEMAS/mzIdentML1.1.0.xsd
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/SCHEMAS/Param_1_6_2.xsd
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/OpenMS_DB.graphml
openms.x86_64: E: zero-length /usr/share/OpenMS/IDPool/IDPool.txt
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/CV/unimod.obo
openms.x86_64: W: devel-file-in-non-devel-package /usr/share/OpenMS/examples/external_code/ExampleLibraryFile.C
openms.x86_64: W: devel-file-in-non-devel-package /usr/share/OpenMS/examples/external_code/ExampleLibraryFile.h
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/examples/simulation/SvmModelSet.model
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/CV/psi-mzdata.obo
openms.x86_64: E: wrong-script-end-of-line-encoding /usr/share/OpenMS/CV/psi-mzdata.obo
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/OpenMS_DB.sql
openms.x86_64: W: devel-file-in-non-devel-package /usr/share/OpenMS/examples/external_code/Main.C
openms-devel.x86_64: W: only-non-binary-in-usr-lib
openms-devel.x86_64: W: no-documentation
openms-devel.x86_64: E: non-standard-dir-perm /usr/include/OpenMS 0644L
openms-TOPP.x86_64: W: no-documentation
openms-TOPP.x86_64: W: no-manual-page-for-binary MapStatistics
openms-TOPP.x86_64: W: no-manual-page-for-binary ExecutePipeline
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterMarkerMower
openms-TOPP.x86_64: W: no-manual-page-for-binary IDMapper
openms-TOPP.x86_64: W: no-manual-page-for-binary ProteinQuantifier
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureLinkerUnlabeledQT
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterBernNorm
openms-TOPP.x86_64: W: no-manual-page-for-binary IDFilter
openms-TOPP.x86_64: W: no-manual-page-for-binary TextExporter
openms-TOPP.x86_64: W: no-manual-page-for-binary TOPPAS
openms-TOPP.x86_64: W: no-manual-page-for-binary PepNovoAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary GenericWrapper
openms-TOPP.x86_64: W: no-manual-page-for-binary IDFileConverter
openms-TOPP.x86_64: W: no-manual-page-for-binary MassTraceExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary IDMerger
openms-TOPP.x86_64: W: no-manual-page-for-binary FileMerger
openms-TOPP.x86_64: W: no-manual-page-for-binary Decharger
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterScaler
openms-TOPP.x86_64: W: no-manual-page-for-binary PTPredict
openms-TOPP.x86_64: W: no-manual-page-for-binary XTandemAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderMetabo
openms-TOPP.x86_64: W: no-manual-page-for-binary TOPPView
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathConfidenceScoring
openms-TOPP.x86_64: W: no-manual-page-for-binary PrecursorIonSelector
openms-TOPP.x86_64: W: no-manual-page-for-binary ConsensusMapNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary RTPredict
openms-TOPP.x86_64: W: no-manual-page-for-binary ProteinInference
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathDecoyGenerator
openms-TOPP.x86_64: W: no-manual-page-for-binary IDPosteriorErrorProbability
openms-TOPP.x86_64: W: no-manual-page-for-binary SILACAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderCentroided
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterWindowMower
openms-TOPP.x86_64: W: no-manual-page-for-binary NoiseFilterGaussian
openms-TOPP.x86_64: W: no-manual-page-for-binary ConsensusID
openms-TOPP.x86_64: W: no-manual-page-for-binary InclusionExclusionListCreator
openms-TOPP.x86_64: W: no-manual-page-for-binary SeedListGenerator
openms-TOPP.x86_64: W: no-manual-page-for-binary FalseDiscoveryRate
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary SpecLibSearcher
openms-TOPP.x86_64: W: no-manual-page-for-binary IDConflictResolver
openms-TOPP.x86_64: W: no-manual-page-for-binary MRMMapper
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterParentPeakMower
openms-TOPP.x86_64: W: no-manual-page-for-binary OMSSAAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary INIFileEditor
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderRaw
openms-TOPP.x86_64: W: no-manual-page-for-binary PeakPickerHiRes
openms-TOPP.x86_64: W: no-manual-page-for-binary MascotAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary TMTAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary MapAlignerIdentification
openms-TOPP.x86_64: W: no-manual-page-for-binary RTModel
openms-TOPP.x86_64: W: no-manual-page-for-binary IDRTCalibration
openms-TOPP.x86_64: W: no-manual-page-for-binary EICExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary HighResPrecursorMassCorrector
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathChromatogramExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureLinkerUnlabeled
openms-TOPP.x86_64: W: no-manual-page-for-binary CompNovoCID
openms-TOPP.x86_64: W: no-manual-page-for-binary DTAExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterThresholdMower
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraMerger
openms-TOPP.x86_64: W: no-manual-page-for-binary Resampler
openms-TOPP.x86_64: W: no-manual-page-for-binary FileInfo
openms-TOPP.x86_64: W: no-manual-page-for-binary MapAlignerSpectrum
openms-TOPP.x86_64: W: no-manual-page-for-binary IsobaricAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderIsotopeWavelet
openms-TOPP.x86_64: W: no-manual-page-for-binary AdditiveSeries
openms-TOPP.x86_64: W: no-manual-page-for-binary MyriMatchAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary InternalCalibration
openms-TOPP.x86_64: W: no-manual-page-for-binary TOFCalibration
openms-TOPP.x86_64: W: no-manual-page-for-binary IDRipper
openms-TOPP.x86_64: W: no-manual-page-for-binary PTModel
openms-TOPP.x86_64: W: no-manual-page-for-binary InspectAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterSqrtMower
openms-TOPP.x86_64: W: no-manual-page-for-binary PeakPickerWavelet
openms-TOPP.x86_64: W: no-manual-page-for-binary MapNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureLinkerLabeled
openms-TOPP.x86_64: W: no-manual-page-for-binary MapRTTransformer
openms-TOPP.x86_64: W: no-manual-page-for-binary PrecursorMassCorrector
openms-TOPP.x86_64: W: no-manual-page-for-binary FileConverter
openms-TOPP.x86_64: W: no-manual-page-for-binary MapAlignerPoseClustering
openms-TOPP.x86_64: W: no-manual-page-for-binary MzTabExporter
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderMRM
openms-TOPP.x86_64: W: no-manual-page-for-binary MascotAdapterOnline
openms-TOPP.x86_64: W: no-manual-page-for-binary ProteinResolver
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathFeatureXMLToTSV
openms-TOPP.x86_64: W: no-manual-page-for-binary CompNovo
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterNLargest
openms-TOPP.x86_64: W: no-manual-page-for-binary ITRAQAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathRTNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary PeptideIndexer
openms-TOPP.x86_64: W: no-manual-page-for-binary BaselineFilter
openms-TOPP.x86_64: W: no-manual-page-for-binary NoiseFilterSGolay
openms-tools.x86_64: E: description-line-too-long C They are not included in TOPP as they are not part of typical analysis pipelines,
openms-tools.x86_64: W: no-documentation
openms-tools.x86_64: W: no-manual-page-for-binary MRMPairFinder
openms-tools.x86_64: W: no-manual-page-for-binary IDExtractor
openms-tools.x86_64: W: no-manual-page-for-binary RNPxlXICFilter
openms-tools.x86_64: W: no-manual-page-for-binary TransformationEvaluation
openms-tools.x86_64: W: no-manual-page-for-binary FuzzyDiff
openms-tools.x86_64: W: no-manual-page-for-binary PILISIdentification
openms-tools.x86_64: W: no-manual-page-for-binary PhosphoScoring
openms-tools.x86_64: W: no-manual-page-for-binary Digestor
openms-tools.x86_64: W: no-manual-page-for-binary IDMassAccuracy
openms-tools.x86_64: W: no-manual-page-for-binary ConvertTraMLToTSV
openms-tools.x86_64: W: no-manual-page-for-binary INIUpdater
openms-tools.x86_64: W: no-manual-page-for-binary OpenSwathMzMLFileCacher
openms-tools.x86_64: W: no-manual-page-for-binary ConvertTSVToTraML
openms-tools.x86_64: W: no-manual-page-for-binary IDEvaluatorGUI
openms-tools.x86_64: W: no-manual-page-for-binary DBImporter
openms-tools.x86_64: W: no-manual-page-for-binary DeMeanderize
openms-tools.x86_64: W: no-manual-page-for-binary IDSplitter
openms-tools.x86_64: W: no-manual-page-for-binary FFEval
openms-tools.x86_64: W: no-manual-page-for-binary QCShrinker
openms-tools.x86_64: W: no-manual-page-for-binary ERPairFinder
openms-tools.x86_64: W: no-manual-page-for-binary PILISModelTrainer
openms-tools.x86_64: W: no-manual-page-for-binary XMLValidator
openms-tools.x86_64: W: no-manual-page-for-binary QCCalculator
openms-tools.x86_64: W: no-manual-page-for-binary DecoyDatabase
openms-tools.x86_64: W: no-manual-page-for-binary DigestorMotif
openms-tools.x86_64: W: no-manual-page-for-binary QCImporter
openms-tools.x86_64: W: no-manual-page-for-binary PILISSpectraGenerator
openms-tools.x86_64: W: no-manual-page-for-binary FeatureFinderSuperHirn
openms-tools.x86_64: W: no-manual-page-for-binary RTEvaluation
openms-tools.x86_64: W: no-manual-page-for-binary ImageCreator
openms-tools.x86_64: W: no-manual-page-for-binary FileFilter
openms-tools.x86_64: W: no-manual-page-for-binary IDDecoyProbability
openms-tools.x86_64: W: no-manual-page-for-binary QCEmbedder
openms-tools.x86_64: W: no-manual-page-for-binary OpenSwathRewriteToFeatureXML
openms-tools.x86_64: W: no-manual-page-for-binary SvmTheoreticalSpectrumGeneratorTrainer
openms-tools.x86_64: W: no-manual-page-for-binary SemanticValidator
openms-tools.x86_64: W: no-manual-page-for-binary AccurateMassSearch
openms-tools.x86_64: W: no-manual-page-for-binary RNPxl
openms-tools.x86_64: W: no-manual-page-for-binary DBExporter
openms-tools.x86_64: W: no-manual-page-for-binary LabeledEval
openms-tools.x86_64: W: no-manual-page-for-binary MapAlignmentEvaluation
openms-tools.x86_64: W: no-manual-page-for-binary MassCalculator
openms-tools.x86_64: W: no-manual-page-for-binary PILISModelCV
openms-tools.x86_64: W: no-manual-page-for-binary OpenMSInfo
openms-tools.x86_64: W: no-manual-page-for-binary SequenceCoverageCalculator
openms-tools.x86_64: W: no-manual-page-for-binary CVInspector
openms-tools.x86_64: W: no-manual-page-for-binary QCExporter
openms-tools.x86_64: W: no-manual-page-for-binary QCExtractor
openms-tools.x86_64: W: no-manual-page-for-binary SpecLibCreator
openms-tools.x86_64: W: no-manual-page-for-binary QCMerger
openms-tools.x86_64: W: no-manual-page-for-binary MSSimulator
openms-tools.x86_64: W: no-manual-page-for-binary OpenSwathDIAPreScoring
openms-tools.x86_64: W: no-manual-page-for-binary IDEvaluator
python-openms.x86_64: W: spelling-error %description -l en_US spectrometry -> spectrometer, spectroscopy, spectroscope
python-openms.x86_64: W: spelling-error %description -l en_US proteomics -> Proterozoic
python-openms.x86_64: W: spelling-error %description -l en_US mzXML -> XML
python-openms.x86_64: W: spelling-error %description -l en_US mzML -> ml
python-openms.x86_64: W: spelling-error %description -l en_US mzIdentML -> identical
python-openms.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
python-openms.x86_64: W: spelling-error %description -l en_US isotoping -> stopping, topping, sopping
python-openms.x86_64: W: spelling-error %description -l en_US iTRAQ -> trait
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/CV/psi-mzdata.obo
python-openms.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/CV/psi-mzdata.obo
python-openms.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/pyopenms/libOpenSwathAlgo.so
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/SCHEMAS/Param_1_6_2.xsd
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/CV/unimod.obo
python-openms.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/IDPool/IDPool.txt
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/OpenMS_DB.graphml
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/OpenMS_DB.sql
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/SCHEMAS/mzIdentML1.1.0.xsd
python-openms.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/pyopenms/libOpenMS.so
python-openms.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/pyopenms/pyopenms.so 0775L
openms.src: W: spelling-error %description -l en_US spectrometry -> spectrometer, spectroscopy, spectroscope
openms.src: W: spelling-error %description -l en_US proteomics -> Proterozoic
openms.src: W: spelling-error %description -l en_US metabolomics -> metabolic, metabolism
openms.src: W: spelling-error %description -l en_US quantitation -> quantitative, quantification, equitation
openms.src: W: spelling-error %description -l en_US iTRAQ -> trait
openms.src: E: description-line-too-long C metabolomics data analysis (TOPPTools) and powerful 2D and 3D visualization(TOPPView).
openms.src: W: strange-permission OpenMS-Release1.11.1.tar.gz 0600L
6 packages and 0 specfiles checked; 22 errors, 175 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openms-TOPP openms python-openms openms-devel openms-t 
ools
openms-TOPP.x86_64: W: no-documentation
openms-TOPP.x86_64: W: no-manual-page-for-binary MapStatistics
openms-TOPP.x86_64: W: no-manual-page-for-binary ExecutePipeline
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterMarkerMower
openms-TOPP.x86_64: W: no-manual-page-for-binary IDMapper
openms-TOPP.x86_64: W: no-manual-page-for-binary ProteinQuantifier
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureLinkerUnlabeledQT
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterBernNorm
openms-TOPP.x86_64: W: no-manual-page-for-binary IDFilter
openms-TOPP.x86_64: W: no-manual-page-for-binary TextExporter
openms-TOPP.x86_64: W: no-manual-page-for-binary TOPPAS
openms-TOPP.x86_64: W: no-manual-page-for-binary PepNovoAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary GenericWrapper
openms-TOPP.x86_64: W: no-manual-page-for-binary IDFileConverter
openms-TOPP.x86_64: W: no-manual-page-for-binary MassTraceExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary IDMerger
openms-TOPP.x86_64: W: no-manual-page-for-binary FileMerger
openms-TOPP.x86_64: W: no-manual-page-for-binary Decharger
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterScaler
openms-TOPP.x86_64: W: no-manual-page-for-binary PTPredict
openms-TOPP.x86_64: W: no-manual-page-for-binary XTandemAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderMetabo
openms-TOPP.x86_64: W: no-manual-page-for-binary TOPPView
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathConfidenceScoring
openms-TOPP.x86_64: W: no-manual-page-for-binary PrecursorIonSelector
openms-TOPP.x86_64: W: no-manual-page-for-binary ConsensusMapNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary RTPredict
openms-TOPP.x86_64: W: no-manual-page-for-binary ProteinInference
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathDecoyGenerator
openms-TOPP.x86_64: W: no-manual-page-for-binary IDPosteriorErrorProbability
openms-TOPP.x86_64: W: no-manual-page-for-binary SILACAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderCentroided
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterWindowMower
openms-TOPP.x86_64: W: no-manual-page-for-binary NoiseFilterGaussian
openms-TOPP.x86_64: W: no-manual-page-for-binary ConsensusID
openms-TOPP.x86_64: W: no-manual-page-for-binary InclusionExclusionListCreator
openms-TOPP.x86_64: W: no-manual-page-for-binary SeedListGenerator
openms-TOPP.x86_64: W: no-manual-page-for-binary FalseDiscoveryRate
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary SpecLibSearcher
openms-TOPP.x86_64: W: no-manual-page-for-binary IDConflictResolver
openms-TOPP.x86_64: W: no-manual-page-for-binary MRMMapper
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterParentPeakMower
openms-TOPP.x86_64: W: no-manual-page-for-binary OMSSAAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary INIFileEditor
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderRaw
openms-TOPP.x86_64: W: no-manual-page-for-binary PeakPickerHiRes
openms-TOPP.x86_64: W: no-manual-page-for-binary MascotAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary TMTAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary MapAlignerIdentification
openms-TOPP.x86_64: W: no-manual-page-for-binary RTModel
openms-TOPP.x86_64: W: no-manual-page-for-binary IDRTCalibration
openms-TOPP.x86_64: W: no-manual-page-for-binary EICExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary HighResPrecursorMassCorrector
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathChromatogramExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureLinkerUnlabeled
openms-TOPP.x86_64: W: no-manual-page-for-binary CompNovoCID
openms-TOPP.x86_64: W: no-manual-page-for-binary DTAExtractor
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterThresholdMower
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraMerger
openms-TOPP.x86_64: W: no-manual-page-for-binary Resampler
openms-TOPP.x86_64: W: no-manual-page-for-binary FileInfo
openms-TOPP.x86_64: W: no-manual-page-for-binary MapAlignerSpectrum
openms-TOPP.x86_64: W: no-manual-page-for-binary IsobaricAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderIsotopeWavelet
openms-TOPP.x86_64: W: no-manual-page-for-binary AdditiveSeries
openms-TOPP.x86_64: W: no-manual-page-for-binary MyriMatchAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary InternalCalibration
openms-TOPP.x86_64: W: no-manual-page-for-binary TOFCalibration
openms-TOPP.x86_64: W: no-manual-page-for-binary IDRipper
openms-TOPP.x86_64: W: no-manual-page-for-binary PTModel
openms-TOPP.x86_64: W: no-manual-page-for-binary InspectAdapter
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterSqrtMower
openms-TOPP.x86_64: W: no-manual-page-for-binary PeakPickerWavelet
openms-TOPP.x86_64: W: no-manual-page-for-binary MapNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureLinkerLabeled
openms-TOPP.x86_64: W: no-manual-page-for-binary MapRTTransformer
openms-TOPP.x86_64: W: no-manual-page-for-binary PrecursorMassCorrector
openms-TOPP.x86_64: W: no-manual-page-for-binary FileConverter
openms-TOPP.x86_64: W: no-manual-page-for-binary MapAlignerPoseClustering
openms-TOPP.x86_64: W: no-manual-page-for-binary MzTabExporter
openms-TOPP.x86_64: W: no-manual-page-for-binary FeatureFinderMRM
openms-TOPP.x86_64: W: no-manual-page-for-binary MascotAdapterOnline
openms-TOPP.x86_64: W: no-manual-page-for-binary ProteinResolver
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathFeatureXMLToTSV
openms-TOPP.x86_64: W: no-manual-page-for-binary CompNovo
openms-TOPP.x86_64: W: no-manual-page-for-binary SpectraFilterNLargest
openms-TOPP.x86_64: W: no-manual-page-for-binary ITRAQAnalyzer
openms-TOPP.x86_64: W: no-manual-page-for-binary OpenSwathRTNormalizer
openms-TOPP.x86_64: W: no-manual-page-for-binary PeptideIndexer
openms-TOPP.x86_64: W: no-manual-page-for-binary BaselineFilter
openms-TOPP.x86_64: W: no-manual-page-for-binary NoiseFilterSGolay
openms.x86_64: W: spelling-error %description -l en_US spectrometry -> spectrometer, spectroscopy, spectroscope
openms.x86_64: W: spelling-error %description -l en_US proteomics -> Proterozoic
openms.x86_64: W: spelling-error %description -l en_US metabolomics -> metabolic, metabolism
openms.x86_64: W: spelling-error %description -l en_US quantitation -> quantitative, quantification, equitation
openms.x86_64: W: spelling-error %description -l en_US iTRAQ -> trait
openms.x86_64: E: description-line-too-long C metabolomics data analysis (TOPPTools) and powerful 2D and 3D visualization(TOPPView).
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libQtTest.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libQtXml.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libOpenSwathAlgo.so.1.11.1
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libgsl.so.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libgslcblas.so.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libsvm.so.2
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libboost_iostreams.so.1.55.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libboost_date_time.so.1.55.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libboost_math_c99.so.1.55.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libboost_regex.so.1.55.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libbz2.so.1
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS_GUI.so.1.11.1 /lib64/libglpk.so.36
openms.x86_64: W: shared-lib-calls-exit /usr/lib64/libOpenMS_GUI.so.1.11.1 exit@GLIBC_2.2.5
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenSwathAlgo.so.1.11.1 /lib64/libQtCore.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenSwathAlgo.so.1.11.1 /lib64/libQtGui.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenSwathAlgo.so.1.11.1 /lib64/libgomp.so.1
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libQtOpenGL.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libQtSvg.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libQtWebKit.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libQtTest.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libQtXml.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libgslcblas.so.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libboost_iostreams.so.1.55.0
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenMS.so.1.11.1 /lib64/libboost_date_time.so.1.55.0
openms.x86_64: W: shared-lib-calls-exit /usr/lib64/libOpenMS.so.1.11.1 exit@GLIBC_2.2.5
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/SCHEMAS/mzIdentML1.1.0.xsd
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/SCHEMAS/Param_1_6_2.xsd
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/OpenMS_DB.graphml
openms.x86_64: E: zero-length /usr/share/OpenMS/IDPool/IDPool.txt
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/CV/unimod.obo
openms.x86_64: W: devel-file-in-non-devel-package /usr/share/OpenMS/examples/external_code/ExampleLibraryFile.C
openms.x86_64: W: devel-file-in-non-devel-package /usr/share/OpenMS/examples/external_code/ExampleLibraryFile.h
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/examples/simulation/SvmModelSet.model
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/CV/psi-mzdata.obo
openms.x86_64: E: wrong-script-end-of-line-encoding /usr/share/OpenMS/CV/psi-mzdata.obo
openms.x86_64: E: script-without-shebang /usr/share/OpenMS/OpenMS_DB.sql
openms.x86_64: W: devel-file-in-non-devel-package /usr/share/OpenMS/examples/external_code/Main.C
python-openms.x86_64: W: spelling-error %description -l en_US spectrometry -> spectrometer, spectroscopy, spectroscope
python-openms.x86_64: W: spelling-error %description -l en_US proteomics -> Proterozoic
python-openms.x86_64: W: spelling-error %description -l en_US mzXML -> XML
python-openms.x86_64: W: spelling-error %description -l en_US mzML -> ml
python-openms.x86_64: W: spelling-error %description -l en_US mzIdentML -> identical
python-openms.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
python-openms.x86_64: W: spelling-error %description -l en_US isotoping -> stopping, topping, sopping
python-openms.x86_64: W: spelling-error %description -l en_US iTRAQ -> trait
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/CV/psi-mzdata.obo
python-openms.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/CV/psi-mzdata.obo
python-openms.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/pyopenms/libOpenSwathAlgo.so
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/SCHEMAS/Param_1_6_2.xsd
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/CV/unimod.obo
python-openms.x86_64: E: zero-length /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/IDPool/IDPool.txt
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/OpenMS_DB.graphml
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/OpenMS_DB.sql
python-openms.x86_64: E: script-without-shebang /usr/lib64/python2.7/site-packages/pyopenms/share/OpenMS/SCHEMAS/mzIdentML1.1.0.xsd
python-openms.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/pyopenms/libOpenMS.so
python-openms.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/pyopenms/pyopenms.so 0775L
openms-devel.x86_64: W: only-non-binary-in-usr-lib
openms-devel.x86_64: W: no-documentation
openms-devel.x86_64: E: non-standard-dir-perm /usr/include/OpenMS 0644L
openms-tools.x86_64: E: description-line-too-long C They are not included in TOPP as they are not part of typical analysis pipelines,
openms-tools.x86_64: W: no-documentation
openms-tools.x86_64: W: no-manual-page-for-binary MRMPairFinder
openms-tools.x86_64: W: no-manual-page-for-binary IDExtractor
openms-tools.x86_64: W: no-manual-page-for-binary RNPxlXICFilter
openms-tools.x86_64: W: no-manual-page-for-binary TransformationEvaluation
openms-tools.x86_64: W: no-manual-page-for-binary FuzzyDiff
openms-tools.x86_64: W: no-manual-page-for-binary PILISIdentification
openms-tools.x86_64: W: no-manual-page-for-binary PhosphoScoring
openms-tools.x86_64: W: no-manual-page-for-binary Digestor
openms-tools.x86_64: W: no-manual-page-for-binary IDMassAccuracy
openms-tools.x86_64: W: no-manual-page-for-binary ConvertTraMLToTSV
openms-tools.x86_64: W: no-manual-page-for-binary INIUpdater
openms-tools.x86_64: W: no-manual-page-for-binary OpenSwathMzMLFileCacher
openms-tools.x86_64: W: no-manual-page-for-binary ConvertTSVToTraML
openms-tools.x86_64: W: no-manual-page-for-binary IDEvaluatorGUI
openms-tools.x86_64: W: no-manual-page-for-binary DBImporter
openms-tools.x86_64: W: no-manual-page-for-binary DeMeanderize
openms-tools.x86_64: W: no-manual-page-for-binary IDSplitter
openms-tools.x86_64: W: no-manual-page-for-binary FFEval
openms-tools.x86_64: W: no-manual-page-for-binary QCShrinker
openms-tools.x86_64: W: no-manual-page-for-binary ERPairFinder
openms-tools.x86_64: W: no-manual-page-for-binary PILISModelTrainer
openms-tools.x86_64: W: no-manual-page-for-binary XMLValidator
openms-tools.x86_64: W: no-manual-page-for-binary QCCalculator
openms-tools.x86_64: W: no-manual-page-for-binary DecoyDatabase
openms-tools.x86_64: W: no-manual-page-for-binary DigestorMotif
openms-tools.x86_64: W: no-manual-page-for-binary QCImporter
openms-tools.x86_64: W: no-manual-page-for-binary PILISSpectraGenerator
openms-tools.x86_64: W: no-manual-page-for-binary FeatureFinderSuperHirn
openms-tools.x86_64: W: no-manual-page-for-binary RTEvaluation
openms-tools.x86_64: W: no-manual-page-for-binary ImageCreator
openms-tools.x86_64: W: no-manual-page-for-binary FileFilter
openms-tools.x86_64: W: no-manual-page-for-binary IDDecoyProbability
openms-tools.x86_64: W: no-manual-page-for-binary QCEmbedder
openms-tools.x86_64: W: no-manual-page-for-binary OpenSwathRewriteToFeatureXML
openms-tools.x86_64: W: no-manual-page-for-binary SvmTheoreticalSpectrumGeneratorTrainer
openms-tools.x86_64: W: no-manual-page-for-binary SemanticValidator
openms-tools.x86_64: W: no-manual-page-for-binary AccurateMassSearch
openms-tools.x86_64: W: no-manual-page-for-binary RNPxl
openms-tools.x86_64: W: no-manual-page-for-binary DBExporter
openms-tools.x86_64: W: no-manual-page-for-binary LabeledEval
openms-tools.x86_64: W: no-manual-page-for-binary MapAlignmentEvaluation
openms-tools.x86_64: W: no-manual-page-for-binary MassCalculator
openms-tools.x86_64: W: no-manual-page-for-binary PILISModelCV
openms-tools.x86_64: W: no-manual-page-for-binary OpenMSInfo
openms-tools.x86_64: W: no-manual-page-for-binary SequenceCoverageCalculator
openms-tools.x86_64: W: no-manual-page-for-binary CVInspector
openms-tools.x86_64: W: no-manual-page-for-binary QCExporter
openms-tools.x86_64: W: no-manual-page-for-binary QCExtractor
openms-tools.x86_64: W: no-manual-page-for-binary SpecLibCreator
openms-tools.x86_64: W: no-manual-page-for-binary QCMerger
openms-tools.x86_64: W: no-manual-page-for-binary MSSimulator
openms-tools.x86_64: W: no-manual-page-for-binary OpenSwathDIAPreScoring
openms-tools.x86_64: W: no-manual-page-for-binary IDEvaluator
5 packages and 0 specfiles checked; 21 errors, 192 warnings.
# echo 'rpmlint-done:'



Requires
--------
openms-TOPP (rpmlib, GLIBC filtered):
    libOpenMS.so.1.11.1()(64bit)
    libOpenMS_GUI.so.1.11.1()(64bit)
    libOpenSwathAlgo.so.1.11.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtTest.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libboost_date_time.so.1.55.0()(64bit)
    libboost_iostreams.so.1.55.0()(64bit)
    libboost_math_c99.so.1.55.0()(64bit)
    libboost_regex.so.1.55.0()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglpk.so.36()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgsl.so.0()(64bit)
    libgslcblas.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libsvm.so.2()(64bit)
    libxerces-c-3.1.so()(64bit)
    libz.so.1()(64bit)
    openms(x86-64)
    rtld(GNU_HASH)

openms (rpmlib, GLIBC filtered):
    /bin/sh
    XTandem
    libOpenMS.so.1.11.1()(64bit)
    libOpenSwathAlgo.so.1.11.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtTest.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libboost_date_time.so.1.55.0()(64bit)
    libboost_iostreams.so.1.55.0()(64bit)
    libboost_math_c99.so.1.55.0()(64bit)
    libboost_regex.so.1.55.0()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libglpk.so.36()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgsl.so.0()(64bit)
    libgslcblas.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libsvm.so.2()(64bit)
    libxerces-c-3.1.so()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

python-openms (rpmlib, GLIBC filtered):
    libOpenMS.so.1.11.1()(64bit)
    libOpenSwathAlgo.so.1.11.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgsl.so.0()(64bit)
    libgslcblas.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libxerces-c-3.1.so()(64bit)
    openms(x86-64)
    python(abi)
    rtld(GNU_HASH)

openms-devel (rpmlib, GLIBC filtered):
    openms(x86-64)

openms-tools (rpmlib, GLIBC filtered):
    libOpenMS.so.1.11.1()(64bit)
    libOpenMS_GUI.so.1.11.1()(64bit)
    libOpenSwathAlgo.so.1.11.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtTest.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libboost_date_time.so.1.55.0()(64bit)
    libboost_iostreams.so.1.55.0()(64bit)
    libboost_math_c99.so.1.55.0()(64bit)
    libboost_regex.so.1.55.0()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglpk.so.36()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgsl.so.0()(64bit)
    libgslcblas.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libsvm.so.2()(64bit)
    libxerces-c-3.1.so()(64bit)
    libz.so.1()(64bit)
    openms(x86-64)
    rtld(GNU_HASH)



Provides
--------
openms-TOPP:
    application()
    application(inifileeditor.desktop)
    application(toppas.desktop)
    application(toppview.desktop)
    openms-TOPP
    openms-TOPP(x86-64)

openms:
    libOpenMS.so.1.11.1()(64bit)
    libOpenMS_GUI.so.1.11.1()(64bit)
    libOpenSwathAlgo.so.1.11.1()(64bit)
    openms
    openms(x86-64)

python-openms:
    python-openms
    python-openms(x86-64)

openms-devel:
    openms-devel
    openms-devel(x86-64)

openms-tools:
    openms-tools
    openms-tools(x86-64)



Unversioned so-files
--------------------
python-openms: /usr/lib64/python2.7/site-packages/pyopenms/libOpenMS.so
python-openms: /usr/lib64/python2.7/site-packages/pyopenms/libOpenSwathAlgo.so
python-openms: /usr/lib64/python2.7/site-packages/pyopenms/pyopenms.so

Source checksums
----------------
https://github.com/OpenMS/OpenMS/archive/Release1.11.1.tar.gz#/OpenMS-Release1.11.1.tar.gz :
  CHECKSUM(SHA256) this package     : 169df939fc1ea94e2c62d8931cde632553c4bfffbae22658c396b2dd98d354e8
  CHECKSUM(SHA256) upstream package : 169df939fc1ea94e2c62d8931cde632553c4bfffbae22658c396b2dd98d354e8


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1114737 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 14 Antonio T. (sagitter) 2014-12-04 14:41:37 UTC
(In reply to Jerry James from comment #13)
> Issues:
> =======
> - The gtk-update-icon-cache invocations are being run on the main package,
> but
>   instead should be run on the openms-TOPP package; i.e., move them to
>   "%posttrans TOPP" and "%postun TOPP".

Done.

> - The source tarball, OpenMS-Release1.11.1.tar.gz, has 0600 permissions.
>   Please change that to 0644.

Done.

> - All software in Fedora is open source, so I think the summary should just
>   read "LC/MS data management and analyses"

Done.

> - The debuginfo generator gets a little confused while trying to locate some
>   source files.  Look in the build log for errors like this:
> 
> cpio:
> OpenMS-Release1.11.1/include/OpenMS/ANALYSIS/DECHARGING/FeatureDeconvolution.
> h: Cannot stat: Permission denied
> cpio:
> OpenMS-Release1.11.1/include/OpenMS/ANALYSIS/DECHARGING/ILPDCWrapper.h:
> Cannot stat: Permission denied
> 
>   The problem is the initial "OpenMS-Release1.11.1" part of the path.  To fix
>   the problem, add this at the end of %install:
> 
>   ln -s . OpenMS-Release%{version}

Done.

> - The openms-devel package contains the directory /usr/include/OpenMS, but
>   there are no files inside that directory.  Also, the directory has 0644
>   permissions, but should have 0755 permissions.

Done.

> - The openms-devel package installs a symbolic link libOpenMS_GUI.so that
>   points to %{_libdir}/libOpenMS_GUIso.1.11.1, but the target name is
> actually
>   %{_libdir}/libOpenMS_GUI.so.1.11.1; i.e., there is a missing dot.

Done.

> - ldd -u reports that the libraries and most of the binaries are linked with
>   libraries that are not actually used; see the
> unused-direct-shlib-dependency
>   rpmlint warnings below.  It might we worthwhile to add "-Wl,--as-needed" to
>   LDFLAGS.

Okay.

> - The cmake invocation specifies -DCMAKE_MT_ENABLE_TBB=ON and related
>   variables, and the spec file contains BuildRequires: tbb-devel, yet I see
>   this in the build log:
> 
> -- Intel TBB: OFF
> 
>   Perhaps it should be -DMT_ENABLE_TBB=ON (without the "CMAKE_" prefix)?

Done.

> - Use the new %license macro to install license texts, rather than %doc.

Done.

> - The main package installs 80 Mbytes of files in
> %{_datadir}/OpenMS/examples.
>   Are those files used at runtime?  If not, consider moving them to a -doc
>   subpackage.

They could be used as examples by a beginner user.

> - The main package installs over 93 Mbytes of files in %{_datadir}, including
>   the examples.  Can any of those files go into a noarch subpackage?

Too sub-packages in my opinion.

> - The entire %{_datadir}/OpenMS directory, except for the examples, is
>   duplicated in the python-openms package, as
>   %{python2_sitearch}/pyopenms/share/OpenMS.  Is that really necessary?  Can
>   %{python2_sitearch}/pyopenms/share/OpenMS instead be a symbolic link to
>   %{_datadir}/OpenMS?

Python OpenMS may be used as standalone software so it must have own data directories. 

> - Some installed files have their executable bits set inappropriately.  See
>   the rpmlint messages about scripts without shebangs.
> - /usr/share/OpenMS/CV/psi-mzdata.obo has DOS end-of-line markers.
> - Fix the description-line-too-long error in the rpmlint output.
> 

Okay.

I'm building latest release; soon i will post it. 
Thanks.

Comment 15 Jerry James 2014-12-04 15:45:12 UTC
(In reply to Antonio Trande from comment #14)
> (In reply to Jerry James from comment #13)
> > - The main package installs over 93 Mbytes of files in %{_datadir}, including
> >   the examples.  Can any of those files go into a noarch subpackage?
> 
> Too sub-packages in my opinion.
> 
> > - The entire %{_datadir}/OpenMS directory, except for the examples, is
> >   duplicated in the python-openms package, as
> >   %{python2_sitearch}/pyopenms/share/OpenMS.  Is that really necessary?  Can
> >   %{python2_sitearch}/pyopenms/share/OpenMS instead be a symbolic link to
> >   %{_datadir}/OpenMS?
> 
> Python OpenMS may be used as standalone software so it must have own data
> directories. 

This means that we are duplicating that 93 Mbytes of files across all architectures, and over 2 packages per architecture.  All you need to do is make a single subpackage, say openmms-data, that is noarch, contains all this data, and is a dependency of both the main package and python-mms, and all that duplication will go away.  It really is worth doing.  Please consider it.

Comment 16 Antonio T. (sagitter) 2014-12-05 15:51:53 UTC
Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-7.fc20.src.rpm

- Fixed some cmake options
- Fixed %%post/%%postun/%%posttrans
- Added TOPP and Tutorial tests
- Fixed iCPP warnings of the PNG files
- Built a noarch data sub-package
- python-openms's data file directory linked to /usr/share/OpenMS  
- TOPP tests disabled (some of them fail)

Scratch build against f21.
http://koji.fedoraproject.org/koji/taskinfo?taskID=8301992

Comment 17 Antonio T. (sagitter) 2014-12-06 09:45:46 UTC
Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-8.fc20.src.rpm

- Fixed INIFileEditor .desktop file
- Fixed some spurious executable permissions

Scratch build against f21:
https://koji.fedoraproject.org/koji/taskinfo?taskID=8307738

Comment 18 Jerry James 2014-12-06 16:35:03 UTC
I'm getting an HTTP 404 on http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-8.fc20.src.rpm.  Oh, I see.  The source rpm is actually ...fc21.src.rpm.  I'll download it manually for now.

Comment 20 Jerry James 2014-12-08 18:52:40 UTC
There is now a symlink %{python2_sitearch}/pyopenms/OpenMS to the files in openms-data, but those files still exist in %{python2_sitearch}/pyopenms/share/OpenMS, too.

The python shared object is being stripped, which prevents good debuginfo generation.  Look for "-Wl,-s" in pyOpenMS/setup.py.

Also, there are still a few rpmlint complaints that should be addressed, namely these:

openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenSwathAlgo.so.1.11.1 /lib64/libQtCore.so.4
openms.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOpenSwathAlgo.so.1.11.1 /lib64/libQtGui.so.4

These happen because of the order of the command line arguments when linking, with -Wl,--as-needed coming after -lQtCore -lQtGui.  The LDFLAGS setting in the spec file should instead be this:

export LDFLAGS="$LDFLAGS -Wl,--as-needed -lQtCore -lQtGui"

openms-data.noarch: E: zero-length /usr/share/OpenMS/IDPool/IDPool.txt

Not necessarily a problem, just want to check that that is correct.

openms-devel.x86_64: W: no-dependency-on openms/openms-libs/libopenms

Since the libraries are in the main package, -devel should explicitly depend on the main package.

openms-devel.x86_64: E: zero-length /usr/include/OpenMS/VISUAL/moc_EnhancedTabBarWidgetInterface.cxx

As above, not necessarily a problem, but I want to check.

openms-doc.noarch: W: spurious-executable-perm /usr/share/doc/openms-doc/html/style_ini.css
openms-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/openms-doc/html/style_ini.css
python-openms.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/pyopenms/pyopenms.so 0775L

I think these have obvious fixes.

Finally, can you update the title of this bug to match the new Summary line?  Past experience shows that git creation for this package won't happen unless those two match.

Comment 21 Antonio T. (sagitter) 2014-12-08 20:37:41 UTC
(In reply to Jerry James from comment #20)
> 
> The python shared object is being stripped, which prevents good debuginfo
> generation.  Look for "-Wl,-s" in pyOpenMS/setup.py.
> 

Is it sufficient removing -Wl,-s flags ?

Comment 22 Jerry James 2014-12-08 23:02:56 UTC
(In reply to Antonio Trande from comment #21)
> Is it sufficient removing -Wl,-s flags ?

Yes, that will fix the problem.

Comment 23 Antonio T. (sagitter) 2014-12-09 15:54:25 UTC
Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-9.fc21.src.rpm

- Fixed unused-direct-shlib-dependency warnings
- Fixed residual spurious executable permissions
- Avoided python shared object stripping
- Added a patch (Patch5) to detect additional QT libraries

Comment 24 Jerry James 2014-12-10 03:50:00 UTC
The build fails:

+ dos2unix share/OpenMS/CV/psi-mzdata.obo
dos2unix: converting file share/OpenMS/CV/psi-mzdata.obo to Unix format...
+ dos2unix share/doc/openms-doc/html/style_ini.css
dos2unix: share/doc/openms-doc/html/style_ini.css: No such file or directory
dos2unix: Skipping share/doc/openms-doc/html/style_ini.css, not a regular file.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.JfZt5A (%prep)
    Bad exit status from /var/tmp/rpm-tmp.JfZt5A (%prep)
Child return code was: 1

The path share/doc/openms-doc/html/style_ini.css is where the file ends up after documentation is built.  Originally, though, the file is at doc/doxygen/common/style_ini.css inside the unpacked source tree.  I will try to patch up your spec file and review again so I can see if anything else needs fixing.

Comment 25 Jerry James 2014-12-10 05:14:15 UTC
No, that doesn't help.  The file still has the wrong end of line encoding.  Ah, that's because that is a source file for doxygen, but doxygen is never actually invoked, so you're getting the prebuilt one, doc/html/style_ini.css, in the output.

So we either need to run dos2unix on the source file in dox/doxygen/common and then run doxygen to generate the html pages, or we need to run dos2unix on the prebuilt doxygen documentation in doc/html.  In the latter case, you don't need to BR doxygen.  Which would you like to do?

I believe this is the last issue to resolve.  Everything else looks great now.

Comment 26 Antonio T. (sagitter) 2014-12-10 14:59:35 UTC
(In reply to Jerry James from comment #24)
> The build fails:
> 
> + dos2unix share/OpenMS/CV/psi-mzdata.obo
> dos2unix: converting file share/OpenMS/CV/psi-mzdata.obo to Unix format...
> + dos2unix share/doc/openms-doc/html/style_ini.css
> dos2unix: share/doc/openms-doc/html/style_ini.css: No such file or directory
> dos2unix: Skipping share/doc/openms-doc/html/style_ini.css, not a regular
> file.
> RPM build errors:
> error: Bad exit status from /var/tmp/rpm-tmp.JfZt5A (%prep)
>     Bad exit status from /var/tmp/rpm-tmp.JfZt5A (%prep)
> Child return code was: 1
> 
> The path share/doc/openms-doc/html/style_ini.css is where the file ends up
> after documentation is built.  Originally, though, the file is at
> doc/doxygen/common/style_ini.css inside the unpacked source tree.  I will
> try to patch up your spec file and review again so I can see if anything
> else needs fixing.

Sorry, I had modified the package without test.

Spec URL: http://sagitter.fedorapeople.org/OpenMS/openms.spec
SRPM URL: http://sagitter.fedorapeople.org/OpenMS/openms-1.11.1-9.fc21.src.rpm

Comment 27 Jerry James 2014-12-10 20:34:45 UTC
Everything looks good now.  APPROVED.

Comment 28 Antonio T. (sagitter) 2014-12-10 20:43:51 UTC
Thanks.

New Package SCM Request
=======================
Package Name: openms
Short Description:  LC/MS data management and analyses
Upstream URL: www.openms.de
Owners: sagitter
Branches: f21 f20

Comment 29 Gwyn Ciesla 2014-12-10 23:49:14 UTC
Invalid upstream url.

Comment 30 Antonio T. (sagitter) 2014-12-11 09:53:27 UTC
New Package SCM Request
=======================
Package Name: openms
Short Description:  LC/MS data management and analyses
Upstream URL: http://open-ms.sourceforge.net/
Owners: sagitter
Branches: f21 f20

Comment 31 Kevin Fenzi 2014-12-11 23:24:03 UTC
Git done (by process-git-requests).

Comment 32 Fedora Update System 2014-12-14 11:08:53 UTC
openms-1.11.1-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openms-1.11.1-11.fc21

Comment 33 Fedora Update System 2014-12-14 11:08:59 UTC
openms-1.11.1-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openms-1.11.1-11.fc20

Comment 34 Fedora Update System 2014-12-15 04:31:19 UTC
openms-1.11.1-11.fc20 has been pushed to the Fedora 20 testing repository.

Comment 35 Fedora Update System 2014-12-23 18:28:09 UTC
openms-1.11.1-11.fc20 has been pushed to the Fedora 20 stable repository.

Comment 36 Fedora Update System 2014-12-23 18:29:02 UTC
openms-1.11.1-11.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.